<?php

namespace Adfox\Subscription\Console\Commands;

use App\Models\Subscription;
use Illuminate\Console\Command;

class DisabledExpiredSubscriptionAds extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'subscription:disabled-expired-ads';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
      * Disable ads for expired subscription
     */
    public function handle()
    {
        $expiredSubscriptions=Subscription::inactive()->whereDate('ends_at','<',today())->get();
        foreach($expiredSubscriptions as $subscription){
                foreach($subscription->getActiveAds() as $ad){
                   $ad->update([
                        'status' => 'draft',
                        'source' => null,
                        'subscription_id' => null,
                   ]);
                }
        }
    }
}
